## org.eclipse.wst.wsdl.binding.soap
Interface SOAPHeaderFault

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable, SOAPHeaderBase, javax.wsdl.extensions.soap.SOAPHeaderFault, WSDLElement

    public interface SOAPHeaderFault

extends SOAPHeaderBase, javax.wsdl.extensions.soap.SOAPHeaderFault

A representation of the model object 'Header Fault'.

See Also:
  `SOAPPackage.getSOAPHeaderFault()`

Method Summary

Methods inherited from interface org.eclipse.wst.wsdl.binding.soap.SOAPHeaderBase
`getEEncodingStyles, getEMessage, getEncodingStyles, getEPart, getMessage, getNamespaceURI, getPart, getUse, setEMessage, setEncodingStyles, setEPart, setMessage, setNamespaceURI, setPart, setUse`

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.soap.SOAPHeaderFault
`getEncodingStyles, getMessage, getNamespaceURI, getPart, getUse, setEncodingStyles, setMessage, setNamespaceURI, setPart, setUse`